# Portinvartija

Python implementation of interface operations for data driven topics.

[License: MIT](https://git.sr.ht/~sthagen/portinvartija/tree/default/item/LICENSE) | 
[Country of origin: Switzerland](https://git.sr.ht/~sthagen/portinvartija/tree/default/item/COUNTRY-OF-ORIGIN) | 
[Export control classification number(ECCN): EAR99](https://git.sr.ht/~sthagen/portinvartija/tree/default/item/EXPORT-CONTROL-CLASSIFICATION-NUMBER)

Third party dependencies are documented in the folder [third-party](docs/third-party/README.md).

[![version](https://img.shields.io/pypi/v/portinvartija.svg?style=flat)](https://pypi.python.org/pypi/portinvartija/)
[![downloads](https://static.pepy.tech/badge/portinvartija/month)](https://pepy.tech/project/portinvartija)
[![wheel](https://img.shields.io/pypi/wheel/portinvartija.svg?style=flat)](https://pypi.python.org/pypi/portinvartija/)
[![supported-versions](https://img.shields.io/pypi/pyversions/portinvartija.svg?style=flat)](https://pypi.python.org/pypi/portinvartija/)
[![supported-implementations](https://img.shields.io/pypi/implementation/portinvartija.svg?style=flat)](https://pypi.python.org/pypi/portinvartija/)
[![maintenance-status](https://img.shields.io/github/commit-activity/y/sthagen/portinvartija.svg?style=flat)](https://git.sr.ht/~sthagen/portinvartija/log)

## Documentation

User and developer [documentation of portinvartija](https://codes.dilettant.life/docs/portinvartija).

## Bug Tracker

Any feature requests or bug reports shall go to the [todos of portinvartija](https://todo.sr.ht/~sthagen/portinvartija).

## Primary Source repository

The main source of `portinvartija` is on a mountain in central Switzerland.
We use distributed version control (git).
There is no central hub.
Every clone can become a new source for the benefit of all.
The preferred public clones of `portinvartija` are:

* [on codeberg](https://codeberg.org/sthagen/portinvartija) - a democratic community-driven, non-profit software development platform operated by Codeberg e.V.
* [at sourcehut](https://git.sr.ht/~sthagen/portinvartija) - a collection of tools useful for software development.

## Contributions

Please do not submit "pull requests" (I found no way to disable that "feature" on GitHub).
If you like to share small changes under the repositories license please kindly do so by sending a patchset.
You can either send such a patchset per email using [git send-email](https://git-send-email.io) or 
if you are a sourcehut user by selecting "Prepare a patchset" on the summary page of your fork at [sourcehut](https://git.sr.ht/).

## Support

Please kindly submit issues at https://todo.sr.ht/~sthagen/portinvartija or write plain text email to ~sthagen/portinvartija@lists.sr.ht to submit patches and request support. Thanks.

## Status

Experimental.

**Note**: The default branch is `default`.
